using irisHelper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace irisMemory
{
   public class DbLocalConfig
    {
        private string localDatabaseName;
        private string localDatabasePort;
        private string localDatabaseUser;
        private string localDatabasePassword;

        public string LocalDatabaseName
        {
            get
            {
                return localDatabaseName;
            }

            set
            {
                localDatabaseName = value;
            }
        }

        public string LocalDatabasePort
        {
            get
            {
                return localDatabasePort;
            }

            set
            {
                localDatabasePort = value;
            }
        }

        public string LocalDatabaseUser
        {
            get
            {
                return localDatabaseUser;
            }

            set
            {
                localDatabaseUser = value;
            }
        }

        public string LocalDatabasePassword
        {
            get
            {
                return localDatabasePassword;
            }

            set
            {
                localDatabasePassword = value;
            }
        }

        public DbLocalConfig InitDbLocalConfig()
        {
            DbLocalConfig localConfig = new DbLocalConfig();
            localConfig.LocalDatabaseName = ConfigHelper.GetAppConfig("localDatabaseName");
            localConfig.LocalDatabasePort = ConfigHelper.GetAppConfig("localDatabasePort");
            localConfig.LocalDatabaseUser = ConfigHelper.GetAppConfig("localDatabaseUser");
            localConfig.LocalDatabasePassword = ConfigHelper.GetAppConfig("localDatabasePassword");
            return localConfig;
        }

    }
}